%define major	11
%define libname	%mklibname %{name} %major
%define devname	%mklibname %{name} -d

Name:		ltc
Version:	1.3.2
Release:	%mkrel 1
Summary:	Linear (or Longitudinal) Time-code is an encoding of SMPTE time-code data
License:	LGPLv3
Group:		System/Libraries
Url:		https://github.com/x42/libltc
Source0:	https://github.com/x42/libltc/releases/download/v%{version}/libltc-%{version}.tar.gz

%description
Linear (or Longitudinal) Time-code (LTC) is an encoding of SMPTE time-code data
as a Manchester-Biphase encoded audio signal. The audio signal is commonly
recorded on a VTR track or other storage media. libltc provides functionality
to encode and decode LTC from/to time-code, including SMPTE date support.
libltc is the successor of libltcsmpte.

#---------------------------------
%package -n %{libname}
Summary:	Shared library for LTC
Group:		System/Libraries

%description -n %{libname}
Linear (or Longitudinal) Time-code (LTC) is an encoding of SMPTE time-code data
as a Manchester-Biphase encoded audio signal. The audio signal is commonly
recorded on a VTR track or other storage media. libltc provides functionality
to encode and decode LTC from/to time-code, including SMPTE date support.
libltc is the successor of libltcsmpte.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#---------------------------------
%package -n %{devname}
Summary:	Development files for LTC
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the files for developing applications which
will use lib%{name}.

%files -n %{devname}
%{_mandir}/man3/ltc.h.3*
%{_libdir}/lib%{name}.so
%{_includedir}/ltc.h
%{_libdir}/pkgconfig/ltc.pc

#---------------------------------
%prep
%setup -q -n lib%{name}-%{version}

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -regex ".*\(a\|la\)$" -delete



%changelog
* Fri Sep 09 2022 barjac <barjac> 1.3.2-1.mga9
+ Revision: 1886147
- new version 1.3.2

* Tue Mar 15 2022 umeabot <umeabot> 1.3.1-3.mga9
+ Revision: 1792589
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1525263
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Apr 09 2019 barjac <barjac> 1.3.1-1.mga7
+ Revision: 1387240
- new version 1.3.1
- fix Source0

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1299361
- Mageia 7 Mass Rebuild

* Thu Dec 21 2017 barjac <barjac> 1.3.0-1.mga7
+ Revision: 1183719
- new version 1.3.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 10 2015 barjac <barjac> 1.2.0-1.mga6
+ Revision: 909317
- new version 1.2.0

* Sun Sep 27 2015 barjac <barjac> 1.1.4-1.mga6
+ Revision: 884072
- new version 1.1.4

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 682018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 507613
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 359035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 barjac <barjac> 1.1.1-1.mga3
+ Revision: 322640
- imported package ltc

